Search found 151 matches

by cooch17
Fri Oct 25, 2013 8:31 pm
Forum: [3.0.x] Support Forum
Topic: phpbb 3.0.12 | MySQL 5.0, 5.1 or 5.5?
Replies: 2
Views: 1357

Re: phpbb 3.0.12 | MySQL 5.0, 5.1 or 5.5?

Thanks. I'll take a look.
by cooch17
Fri Oct 25, 2013 2:16 pm
Forum: [3.0.x] Support Forum
Topic: phpbb 3.0.12 | MySQL 5.0, 5.1 or 5.5?
Replies: 2
Views: 1357

phpbb 3.0.12 | MySQL 5.0, 5.1 or 5.5?

I currently run phpbb 3.0.12 on a CentOS 5.10 box, which has MySQL 5.0.5. With the rollout of CentOS 5.10,updates for MySQL (to 5.1, and then 5.5) are available. Updating MySQL is easy enough, but I'm wondering if there is anything I need to do with my phpbb boards (and the back-end SQL databases) b...
by cooch17
Mon Jul 08, 2013 12:44 pm
Forum: [3.0.x] Support Forum
Topic: how to prevent crawling by a given spider/bot
Replies: 5
Views: 5542

Re: how to prevent crawling by a given spider/bot

Give the Bots group a No access permission role for all forums. Did that -- still getting hammered by said search bot, even though I set permissions to'No access' and ut the user-agent for the bot in robots.txt (which, of course, is no guarantee, since there is nothing to force a bot to honour robo...
by cooch17
Mon Jul 08, 2013 12:49 am
Forum: [3.0.x] Support Forum
Topic: how to prevent crawling by a given spider/bot
Replies: 5
Views: 5542

how to prevent crawling by a given spider/bot

Most of the discussion threads I've seen on this forum or 'what to do to increase search engine' traffic -- make the board more visible. What about the opposite? I want to prevent spiders/bots from accessing a particular board at all. I've gone into the ACP, and see the page for 'managing bots', but...
by cooch17
Fri Aug 31, 2012 6:34 pm
Forum: [3.0.x] Support Forum
Topic: phpbb 3.0.10 and php 5.4.0 | play nice?
Replies: 14
Views: 7685

Re: phpbb 3.0.10 and php 5.4.0 | play nice?

You just need to add & ~E_STRICT to the error_reporting() line (~22) in /includes/startup.php. Hey guys, is this change still necessary for phpbBB 3.0.11? Don't think so - I made a bunch of manual changes (including the above) to 3.0.10, which 'chunked' badly when I tried to apply the 3.0.11 patch....
by cooch17
Tue Apr 17, 2012 2:10 am
Forum: General Discussion
Topic: php upgrade to 5.4.0 | worth the trouble...
Replies: 4
Views: 5635

Re: php upgrade to 5.4.0 | worth the trouble...

bantu wrote:The 3.0.11 release will have a few more optimisations for PHP 5.4. I would suggest to wait for 3.0.11 before upgrading to PHP 5.4 without a good reason. But 3.0.10 is also working just fine with a few tiny adjustments as you already found out.
Will be interesting to run a benchmark comparison.
by cooch17
Fri Mar 30, 2012 12:42 am
Forum: [3.0.x] MOD Requests
Topic: LaTeX support in phpBB3
Replies: 346
Views: 49971

Re: LaTeX support in phpBB3

The new version of PHP may see \e as an escape character, so in class.latexrender.php you need to use an extra backslash. In the line $string .= "\end{document}\n"; change it to $string .= "\\end{document}\n"; and try again. Confirmed. Dug into the chagelog for php 5.4.0. Found the following Fixed ...
by cooch17
Thu Mar 29, 2012 11:02 pm
Forum: [3.0.x] MOD Requests
Topic: LaTeX support in phpBB3
Replies: 346
Views: 49971

Re: LaTeX support in phpBB3

I did a little digging, and the answer seems to be that the version of ImageMagick available to RHEL/CentOS 5.x machines is 'broken'. See the following http://centos.org/modules/newbb/print.php?form=1&topic_id=36328&forum=37&order=ASC&start=0 My machine is running said distro, and recent updates to...
by cooch17
Thu Mar 29, 2012 10:37 pm
Forum: [3.0.x] MOD Requests
Topic: LaTeX support in phpBB3
Replies: 346
Views: 49971

Re: LaTeX support in phpBB3

That sounds like a problem with imagemagick which converts the ps file to gif. Try converting it directly using a shell command. Rename the ps file to test.ps then see if /usr/bin/convert -density 120 -trim -transparent "#FFFFFF" test.ps test.gif converts correctly or if there's an error message. I...
by cooch17
Thu Mar 29, 2012 8:20 pm
Forum: [3.0.x] MOD Requests
Topic: LaTeX support in phpBB3
Replies: 346
Views: 49971

Re: LaTeX support in phpBB3

That's good as it might be the problem. The log file exists so latex is being run. The new version of PHP may see \e as an escape character, so in class.latexrender.php you need to use an extra backslash. In the line $string .= "\end{document}\n"; change it to $string .= "\\end{document}\n"; and tr...
by cooch17
Thu Mar 29, 2012 6:44 pm
Forum: [3.0.x] MOD Requests
Topic: LaTeX support in phpBB3
Replies: 346
Views: 49971

Re: LaTeX support in phpBB3

Disable file deletion at the end of class.latexrender.php and check which files have been created. Then add some code into class.latexrender.php to tell you what has happened and where things have gone wrong. For example, if latex hasn't been run there will be no log file and when you execute latex...
by cooch17
Thu Mar 29, 2012 6:15 pm
Forum: [3.0.x] MOD Requests
Topic: LaTeX support in phpBB3
Replies: 346
Views: 49971

Re: LaTeX support in phpBB3

Upgrading PHP can often reset php.ini to the default which is to not allow exec to run, and so you won't be able to run latex. Check by running this php program: <?php $cmd="ls"; exec("$cmd 2>&1", $output); foreach($output as $outputline){ echo("$outputline<br>"); } ?> That's for Linux systems - re...
by cooch17
Thu Mar 29, 2012 6:12 pm
Forum: [3.0.x] MOD Requests
Topic: LaTeX support in phpBB3
Replies: 346
Views: 49971

Re: LaTeX support in phpBB3

Upgrading PHP can often reset php.ini to the default which is to not allow exec to run, and so you won't be able to run latex. Check by running this php program: <?php $cmd="ls"; exec("$cmd 2>&1", $output); foreach($output as $outputline){ echo("$outputline<br>"); } ?> That's for Linux systems - re...
by cooch17
Thu Mar 29, 2012 4:34 pm
Forum: [3.0.x] MOD Requests
Topic: LaTeX support in phpBB3
Replies: 346
Views: 49971

Re: LaTeX support in phpBB3

Make sure that exec is allowed. Meaning, what? Nothing has changed on the system except an upgrade to php 5.4.0. Also, in some subsequent tests, phpbb3 throws the following errors when I try to render a tex expression (again, it all worked *perfectly* before). [phpBB Debug] PHP Warning: in file [RO...
by cooch17
Thu Mar 29, 2012 4:15 pm
Forum: [3.0.x] MOD Requests
Topic: LaTeX support in phpBB3
Replies: 346
Views: 49971

Re: LaTeX support in phpBB3

I realize this thread had been 'inactive' for a while, but wanted to resurrect it given some recent experiences using LateXRender following upgrades to php. Specifically, with php 5.4.0, LateXrender no longer works (whereas it did just fine previously). Now, when I try to render a LaTeX expression, ...

Go to advanced search